#!/bin/bash

# Called by Docker (presumably /opt/embedded)


STARTDIR=$(pwd)
echo ${STARTDIR}

SOURCESDIR=${STARTDIR}/sources

DISTRO=openpli


if [ "${DISTRO}" == "openpli" ] ; then
  GITREPO="https://github.com/openpli/openpli-oe-core"
  WORKDIR="openpli-oe-core"
  MACHINE=hd2400
  MACHINEBUILD=hd2400
fi;

if [ ${#} == 0 ] ; then
  TARGETDIR=${DISTRO}_$(date +%Y%m%d)
  echo No target directory specified, using default ${TARGETDIR}
else
  TARGETDIR=${DISTRO}_${1}
  echo Target directory ${TARGETDIR}
fi

# Expand paths
TARGETDIR=${STARTDIR}/${TARGETDIR}
WORKDIR=${TARGETDIR}/${WORKDIR}

if [ -d ${TARGETDIR} ] ; then
  echo Targetdir ${TARGETDIR} exists
else
  echo Targetdir ${TARGETDIR} does not exist, creating one and cloning the repository
  mkdir -p ${TARGETDIR}
  cd ${TARGETDIR}
  git clone ${GITREPO}
  cd ${WORKDIR}
  make
fi

cd ${WORKDIR}

git config --global user.name "Some Name"
git pull
git submodule update


# Replace sources directory (one common source)
sed -i "s%DL_DIR.*$%DL_DIR = \"${SOURCESDIR}\"%" site.conf

# Do our special patch (replace 'pseudo')
cp -a ${STARTDIR}/mods_openpli_20161114/* ${WORKDIR}/

MACHINE=${MACHINE} MACHINEBUILD=${MACHINEBUILD} DISTRO=${DISTRO} make image

# Done, give a message were to find the image
if [ "${DISTRO}" == "openpli" ] ; then
  echo Image can be found under ${WORKDIR}/builds/${DISTRO}/${MACHINEBUILD}/tmp/deploy/images
fi

cd ${STARTDIR}
